import request from '@/utils/request'
import url from 'postcss-url'

export function getInspectionMajor(params) {
  return request({
    url: '/com/api/getinspectionmajor',
    method: 'get',
    params: params
  })
}

export function getInspectionMinor(id, params) {
  return request({
    url: '/com/api/getinspectionminor?id=' + id,
    method: 'get',
    params: params
  })
}

export function getInspectionRange(id, params) {
  return request({
    url: '/com/api/getinspectionrange?id=' + id,
    method: 'get',
    params: params
  })
}

export function saveConfiguration(data) {
  console.log('data', data)
  return request({
    url: '/com/api/saveconfiguration',
    method: 'post',
    data: data
  })
}

export function getConfigurationList(limit, page) {
  const params = {
    limit: limit,
    page: page
  }
  return request({
    url: 'com/api/getconfigurationlist',
    method: 'get',
    params: params
  })
}
